Skip to content

Proxy a GraphQL query or mutation

POST
/api/graphql/{path}
curl --request POST \
--url https://example.com/api/graphql/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "query": "example", "variables": {}, "operationName": "example" }'

Proxies a POST request (GraphQL query/mutation) to the backend GraphQL server for the given repository path.

path
required

GraphQL backend path (typically the repository CACHE_ROOT)

string
Media typeapplication/json
object
query
required

GraphQL query or mutation

string
variables

GraphQL variables

object
operationName

Operation name

string
Examplegenerated
{
"query": "example",
"variables": {},
"operationName": "example"
}

Proxied GraphQL response

Media typeapplication/json
object
Examplegenerated
{}